from datetime import timedelta

from .color import ColorMode
from .ansi import AnsiString

class Drawer:
    plane: list[AnsiString]
    plane_color: tuple[int, int, int]
    def __init__(self, width: int, height: int, plane_color: tuple[int, int, int] = None) -> None: ...
    def render(self, mode: ColorMode) -> str: ...
    def fill(self, color: tuple[int, int, int] = None): ...
    def clear(self): ...
    def __str__(self) -> str: ...
    def place(self, astr: AnsiString, pos: tuple[int, int], assign: bool) -> None: ...
    def center_place(self, astr: AnsiString, ypos: int, assign: bool) -> None: ...
    def place_str(self, str: str, pos: tuple[int, int]) -> None: ...
    def center_place_str(self, str: str, ypos: int) -> None: ...
    def place_drawer(self, other: 'Drawer', pos: tuple[int, int], opacity: float, border: bool, title: str) -> None: ...

def test_render() -> timedelta: ...
def render_benchmark() -> timedelta: ...